%define name smc
%define version 1.9
%define release %mkrel 7

Summary:	Secret Maryo Chronicles - a 2D platform game in classic style
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/smclone/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/smclone/SMC_Music_4.1_high.zip
# suggested in http://thread.gmane.org/gmane.linux.redhat.fedora.rpmfusion.devel/7651/focus=7665
Patch0:		http://repo.calcforge.org/temp/smc-1.9-fix-implicit-linking.patch
# patch from upstream forum
Patch1:		smc-fixes-for-cegui-v0-7.diff
Patch2:		smc-1.9-boostmt.patch
License:	GPLv3+
Group:		Games/Arcade
URL:		http://www.secretmaryo.org/
BuildRequires:	pkgconfig(CEGUI-OPENGL) >= 0.5.0
BuildRequires:	pkgconfig(sdl) >= 1.2.10
BuildRequires:	pkgconfig(x11)
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	boost-devel
BuildRequires:	libpng-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick

%description
Secret Maryo Chronicles is an open source two-dimensional platform
game with a style designed similar to classic sidescroller games. It 
utilizes the platform independent library SDL and an OpenGL 
accelerated graphics renderer developed in C++.

%package data
Summary: Games data for the %{name} game
Group: Games/Arcade
Conflicts: smc < 1.9-7
BuildArch: noarch

%description data
This package contains data files for %{name} game.

%prep
%setup -q
# The same file is provided twice
unzip -qo %{SOURCE1}
%patch0 -p1 -b .patch0
%patch1 -p1 -b .cegui07
%patch2 -p0 -b .boost

%build
autoreconf -fi
export CFLAGS="%optflags -fpermissive -DBOOST_FILESYSTEM_VERSION=2"
export CXXFLAGS="%optflags -fpermissive -DBOOST_FILESYSTEM_VERSION=2"
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=Secret Maryo Chronicles
Comment=A 2D platform game in the classic style
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files data
%{_datadir}/%{name}


%changelog

* Sun Dec 11 2011 fwang <fwang> 1.9-7.mga2
+ Revision: 180710
- fix linkage
- split data pacakge

* Mon Nov 28 2011 fwang <fwang> 1.9-6.mga2
+ Revision: 173654
- rebuild for new boost

* Sun Sep 18 2011 fwang <fwang> 1.9-5.mga2
+ Revision: 145034
- rebuid for new libpng
- br gettext
- fix build with boost-mt

  + stormi <stormi>
    - clean spec

  + zezinho <zezinho>
    - imported package smc

